%define	modname	gspca
%define	name	dkms-%{modname}v1
%define	version	1.00.18
%define	date	20070508
%define	rel	1
%define	release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DKMS-ready driver for spca5xx webcams
License:	GPL
Source0:	http://mxhaard.free.fr/spca50x/Download/%{modname}v1-%{date}.tar.gz
Url:		http://mxhaard.free.fr/download.html
Group:		Development/Kernel
Requires(pre):	dkms
Requires(post): dkms
Obsoletes:	dkms-spca5xx
Provides:	dkms-spca5xx
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch

%description
This package contains a DKMS-ready driver for spca5xx webcams.

%prep
%setup -q -c -n %{modname}v1-%{version}
chmod -R go=u-w .

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cp -a %{modname}v1-%{date}/* %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cat > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf <<EOF

PACKAGE_VERSION="%{version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="%{modname}"
MAKE[0]="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build modules"
CLEAN="make -C \${kernel_source_dir} SUBDIRS=\${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build clean"
BUILT_MODULE_NAME[0]="\$PACKAGE_NAME"
DEST_MODULE_LOCATION[0]="/kernel/drivers/usb/media"
REMAKE_INITRD="no"
AUTOINSTALL="YES"
EOF

%post
#if [ $1 == 1 ]
#then 
  dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
  dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
#fi


%preun
#if [ $1 == 0 ]
#then
  dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all
#fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%doc %{_usrsrc}/%{modname}-%{version}-%{release}/changelog
%{_usrsrc}/%{modname}-%{version}-%{release}


%changelog
* Fri May 11 2007 Funda Wang <fundawang@mandriva.org> 1.00.18-1mdv2008.0
+ Revision: 26256
- New upstream version.


* Sun Jan 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.00.12-2mdv2007.0
+ Revision: 111314
- obsolete/provide old dkms-spca5xx package (#26830)

* Tue Jan 16 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.00.12-1mdv2007.1
+ Revision: 109623
- okay now..
- new release: 20070110

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 1.00.11-1mdv2007.1
+ Revision: 106027
- Import dkms-gspcav1

* Tue Dec 26 2006 Brouard Nicolas <Nicolas.Brouard@mandriva.org> 1.00.11-1mdv2007.1
- gspcav1 1.00.11

* Thu May 04 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.60.00-1mdk
- 0.60.00

* Wed Apr 19 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.57.11-1mdk
- 0.57.11

* Mon Mar 27 2006 Stefan van der Eijk <stefan@eijk.nu> 0.57.10-3mdk
- fix bug introduced in -2mdk

* Mon Mar 27 2006 Stefan van der Eijk <stefan@eijk.nu> 0.57.10-2mdk
- add %%{version} to dkms PACKAGE_VERSION

* Wed Mar 22 2006 Stefan van der Eijk <stefan@eijk.nu> 0.57.10-1mdk
- New release 0.57.10

* Thu Jan 05 2006 Sebastien Savarin <plouf@mandriva.org> 0.57.08-1mdk
- New release 0.57.08
- add AUTOINSTALL="YES" in dkms.conf
- fix %%doc

* Wed Dec 14 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.57.07-1mdk
- 0.57.07 (20051212)

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.57.00-2mdk
- arg, forgot %%clean section

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.57.00-1mdk
- initial release (club request)

